perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fred Moyer <f...@redhotpenguin.com>
Subject Re: [mp2] Failed Test on t/api/server_const.t
Date Tue, 07 Aug 2007 16:36:15 GMT
Ryan Gies wrote:
> 1. Problem Description:
> 
>   'make test' failed on t/api/server_const.t
> 
>   I am trying to build Apache2/mod_perl2 on a Fedora Core 6 system
>   which already has these components installed.  I am under the
>   impression that as long as I am installing in to /usr/local/apache2,
>   there will be no conflict.  I stopped the existing httpd process and
>   then procedded as described in the section "Sequence of commands"
>   below.  After runing the test alone in verbose mode, I suspect this
>   is the failure:
> 
>     # testing : Apache2::ServerUtil::get_server_version()
>     # expected: Apache/2.2.4 (Unix)
>     # received: Apache/2.2.4

This is fixed in 2.04-dev (Changes ref).  This error is probably no big 
deal.

-----
Catch up with some httpd API changes

2.2.4:
The full server version information is now included in the error log at
startup as well as server status reports, irrespective of the setting
of the ServerTokens directive. ap_get_server_version() is now
deprecated, and is replaced by ap_get_server_banner() and
ap_get_server_description(). [Jeff Trawick]
-----

>   Do I need to remove my Fedora sources?  I have the following
>   packages installed:

It may be advisable to run only one version of mod_perl on your server 
unless you know what you are doing.  Probably harmless to run both but 
if you end up loading the 2.0.2 version modules you may see some 
inconsistent behavior.

> 
>     httpd           2.2.4-2.1.fc6
>     httpd-devel     2.2.4-2.1.fc6
>     httpd-manual    2.2.4-2.1.fc6
>     apr             1.2.7-10
>     apr-devel       1.2.7-10
>     apr-util-devel  1.2.8-1.fc6
>     mod_perl        2.0.2-6.2.fc6


Mime
View raw message